| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Types | List of all members
Ogre::STLAllocatorBase< T > Struct Template Reference
Core » Memory

Wrapper class for operating as an STL container allocator. More...

`#include <OgreMemorySTLAllocator.h>`

Inheritance diagram for Ogre::STLAllocatorBase< T >:
[legend]

## Public Types
typedef T | value_type

## Detailed Description

### template<typename T>
struct Ogre::STLAllocatorBase< T >

Wrapper class for operating as an STL container allocator.

This class acts as the host for a configured allocation policy.

It takes the following template parameters:-

- T : the type we will be allocating (see rebind later)
- AllocPolicy : a memory allocator policy

See StdAllocPolicy for an example of implementing a Policy. The reason for implementing the allocation in a policy is that it makes implementing a custom allocator easier - you just have to provide an alternative policy with just allocate/deallocate implementations; this class does all the housekeeping associated with keeping the STL happy.

## Member Typedef Documentation

## ◆ value_type

template<typename T >

typedef T Ogre::STLAllocatorBase< T >::value_type

The documentation for this struct was generated from the following file:

- OgreMemorySTLAllocator.h